"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const math_gl_1 = require("math.gl");
const identity = [
    1, 0, 0, 0,
    0, 1, 0, 0,
    0, 0, 1, 0,
    0, 0, 0, 1,
];
class Vertex {
    constructor(position, normal, uv) {
        this.position = position;
        this.normal = normal;
        this.uv = uv;
    }
    transform(matrix) {
        const position = this.position && matrix.transformPoint(this.position);
        const nm1 = this.normal && this.position && new math_gl_1.Matrix4(identity).translate(this.position);
        const nm2 = nm1 && position && new math_gl_1.Matrix4(identity).translate(position).invert();
        const nm = nm1 && nm2 && nm1.clone().multiplyLeft(matrix).multiplyRight(nm2);
        const normal = this.normal && nm && nm.transformPoint(this.normal);
        // console.log(this.normal && normal && this.normal.clone().subtract(normal));
        // console.log(matrix);
        return new Vertex(this.position && matrix.transformPoint(this.position), normal, this.uv && this.uv.clone());
    }
}
exports.default = Vertex;
//# sourceMappingURL=Vertex.js.map