"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const args_1 = __importDefault(require("./args"));
const fs_1 = require("./fs");
const _1 = __importDefault(require("."));
async function runCLI() {
    const [filename] = args_1.default._;
    if (!filename)
        throw new Error('Input filename not provided');
    const data = await fs_1.readFile(filename);
    const dom = _1.default(data.toString('utf-8'), args_1.default);
    const output = args_1.default.output || `${path_1.basename(filename, '.obj')}.html`;
    await fs_1.writeFile(output, `<!DOCTYPE html>\r\n${dom.window.document.documentElement.outerHTML}`);
}
// eslint-disable-next-line no-console
runCLI().then(() => console.log('Generated!'), e => console.error(e));
//# sourceMappingURL=cli.js.map