"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const shortid_1 = __importDefault(require("shortid"));
const loader_utils_1 = require("loader-utils");
const _1 = __importDefault(require("."));
function escape(src) {
    return src.replace(/'/g, '\\\'').replace(/\n/g, '\\n');
}
function loader(content) {
    const callback = this.async();
    if (!callback)
        throw new Error('Failed to compile OBJ');
    const options = loader_utils_1.getOptions(this) || {};
    const classPrefix = `${options.classPrefix || 'obj2html'}-${shortid_1.default()}`;
    const html = _1.default(content, Object.assign({}, options, {
        classPrefix,
    }));
    const body = html.window.document.body.querySelector(`.${classPrefix}`);
    if (!body)
        return callback(new Error('Failed to compile OBJ'));
    const style = html.window.document.head.querySelector('style:last-child');
    if (!style)
        return callback(new Error('Failed to compile OBJ'));
    const source = `module.exports = {
    classPrefix: '${classPrefix.replace(/'/g, '\\\'')}',
    body: '${escape(body.outerHTML)}',
    style: '${escape(style.outerHTML)}',
  }`;
    return callback(null, source);
}
exports.default = loader;
//# sourceMappingURL=obj-loader.js.map